AutoCAD Inventor :: Rectangle In A Sketch - Select Parameter
Feb 11, 2013
When i place a rectangle in a sketch i can't select the parameters to be directly linked to size. I must first enter a number, delete the number and can then through the triangle to the parameter list. Is it possible to approach the parameters directly ?
I know why you cant loop select and offset the rectangle but surley if you are going to take the time to listen to users and create requested tools, you should do it well?
I am very new to all Autodesk software. I am currently doing a trial on Inventor 2013 and Solidworks 2013 to decide which software is a better fit for my company. I am offsetting a very complex sketch by .002" and I want to delete the original. Clicking every line and radius does not make sense to me.
I can't seem to get inventor to select a given parameter inside a sketch. It keeps giving me an error.
All I want to do is to have inventor Select / Highlight a parameter inside of a sketch so the user can clearly see it in the window. Ive tried heaps of different selection options, I just can't work out what ive done wrong.
Sub GetParameter()Dim TargetName As StringDim oCompDef As PartComponentDefinitionDim oSketch As PlanarSketchDim oConstr As DimensionConstraintDim oParam As ParameterDim oCmdMgr As CommandManagerTargetName = d0 ' parameter nameSet oCmdMgr = ThisApplication.CommandManagerSet oCompDef = ThisApplication.ActiveDocument.ComponentDefinitionFor Each oSketch In oCompDef.Sketches For Each oConstr In oSketch.DimensionConstraints If oConstr.Parameter.Name = TargetName Then Set oParam = oConstr.Parameter oSketch.Edit Call oCmdMgr.DoSelect(oParam) Exit Sub End If NextNextEnd Sub
I am not sure exactly why this is a limited feature of Inventor 2011 but when you want to select a sketch to create a boundary patch you have to select each part of the sketch in sequence. It's a pretty laborious task. I am looking to a way to automate this using i logic.
See attached image file. I can't select just the profile sketch to cut extrude. It only selects the whole face (surface). I have this issue on (2) different workstations and on various parts along the way.
I am having an issue with the "select sketch features" selection filter. Specifically, it does not seem to work within the edit-in-place environment. If I am sketching on a part that has been opened discretely, selection functions normally. However, if I am editing within an assembly and I attempt to work in a sketch, face selection takes priority over selecting dimensions or sketch features despite the sketch features filter being active. I have not always had this problem, and it began approximately a month ago. I can't think of anything I might have changed to cause this, but I'm wondering if there's an option somewhere that I accidentally toggled.
When I click the select tool, a brown selection type of rectangle appears in a particular area of the illustration, even though I have not clicked on the illustration yet. I assume it is some type of warning indication, but don't know what. P.S. It is draggable and scaleable - I can move it off the artboard. An example:
I work with shapes all day designing mobile apps. Thus, I'm constantly selecting and resizing rounded rectangles. When resizing I have to individually select all four points of a side to move it without distorting the rounded corners. I cannot click and drag, because that will activate any shapes underneath the one I want to select.
I'm looking for a plugin or alternative to easily select the entire side of a rounded rectangle. IE - I click one point on a side, and it auto selects all four points on that side, or the like.
I cannot select origin to constrain sketch with dimension to origin?
I selected Sketch, expanded origin, selected mywork plan (xy) drew rectangle, input dims, right click for marking menu, selected dimensions, Origin is yellow,
cannot select it and then edge of rect to set dim that will center sketch on origin? Just like the videos show, but cannot select origin>
I am a beginner when a extrude a feature and select a part surface for new sketch now i want is to offset that surface but i can,t there is + sign with mouse icon and something like fully constrained is written in down the window.
I have user parameters that are no longer needed and are not being used anywhere. They each takes 4-5 seconds to delete, prior to 2012 this would happen instantly.
I got a deadline for my project, but I got a big problem:
"I cannot set the "parameter" for the End Value in Parameter Animate dialog"
For easy understand, let's see a example:
1. I got a part which has two parameters named: "A" and "MaxA" 2. I animate Favorited parameter A. 3. The End Value is MaxA_ (Everything is ok) 4. I finish Studio environment, then I change parameter MaxA_ from 200 mm to 400 mm 5. I turn back to Studio environment, the End Value now is "200 mm" (I want this will be MaxA_, so I can animate the flexible parameter).
show me how to keep the end value will be "MaxA_" after I change parameter?
I am trying to publish to the CC a guide rail. The vendor of the rail gives me the option of entering the desired length of the rail. After that he gives me the option to choose between the length that I entered and a shorter and longer standard length witch can be delivered faster.
I want to do the same thing with my published part, but I cannot make a key parameter to change depending on the entered custom parameter. I want the user to make the next steps when inserting from the CC: 1- select the size of the rail; 2-select the type of the rail; 3- enter the desired length of the rail; 4- choose between the desired length and the 2 recommended lengths (I need these 3 lengths to be shown)
I've created a shared sketch and have used it with various features. Sometime those features are suppressed. The model works fine but the shared sketch generates a sketch doctor error because the feature that created it has been suppressed. Is there anyway to make the sketch suppressed so it doesn't trigger a sketch doctor error? Inventor 2013
How do I duplicate the 2D line work from a part level sketch into a drawing level (overlay) sketch?
I started a simple 2D piping system diagram sketch by opening a new part file and using a sketch to stick draw the system schematic including some annotations. Then I opened a new drawing file and made a base view of the part file to bring a view of the original sketch into the drawing.
I realize now that it would have been much easier to have created the schematic directly in a 2D sketch at the drawing level, which would have made editing the annotations much easier at the drawing level, and there is really no need for the part file to exist. I have no intention of creating a 3D model or "real" part in the .ipt file, was just using it as a jumping off point to sketch.
I was thinking that I could correct my error in judgment by just copying the sketch and pasting it into a new sketch on the drawing, but it doesn't want to work that way. I have tried copying both the whole sketch at the browser level, and the entire sketch contents (all of the lines and annotations) from the opened part sketch, but when I attempt to paste either of those into the drawing, paste does not seem to be an option. I'd rather not have to draw the whole thing again, as in typical fashion, my once simple sketch has grown in proportion and complexity from its simple beginning.
I'm having trouble with constaints, I'd like to constrain my sketch to a point in another sketch on a different plane. Is this posible in Inventor? If so how? If Inventor works differently how would you get a points in one sketch to be linked to points another?
the marquee select with the rectangular selection is often very limitated. Sometimes I wish to select multiple objects with a "free form", for example drawing the selection area with a polyline tool. Is this possible? I did not find a way to do it with the tool in CorelDraw (X5). Neither did I find solutions in the internet.
There's one tool, that does something very similar: the shap tool with ALT key can be used to select nodes by drawing a free line around the node. This is what I mean, but for objects not node.
I'm brand new to GIMP, I just downloaded it to get into some simple pixel art.
I was going fine, but I've run into a problem. I'm trying to select a portion of my image using the rectangle tool, and then move it to a different location using the move tool. However, when clicking and dragging the move tool it shifts the entire image, not just the portion I have selected. I read in the FAQ that you need to press "Enter" to finalise the selection before you move it, but even doing that doesn't work.
This was working fine for me earlier, I'm not sure what I've done to break it. I've tried resetting my tool preferences back to defaults but that has not worked.
I am trying to use the rectangle tool to select a rather specific area. I am trying to make a 50x50 square in the bottom left corner, but I don't know how I would accomplish this.
I've been wondering how do you get the rectangle select tool to move the image, like in mspaint whenever I use it, it just moves the rectangle square and not the selected part of the image.